_CommentaryRequestInfoCapsule

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.gamedata
Class _CommentaryRequestInfoCapsule

    java.lang.Object
      net.ctdp.rfdynhud.gamedata._CommentaryRequestInfoCapsule

    public abstract class _CommentaryRequestInfoCapsule

extends java.lang.Object

Author:
  Marvin Froehlich (CTDP)

Constructor Summary
`_CommentaryRequestInfoCapsule()`

Method Summary
`abstract byte[]` | `getBuffer()`
`abstract double` | `getInput1()`
`abstract double` | `getInput2()`
`abstract double` | `getInput3()`
`abstract java.lang.String` | `getName()`
`abstract boolean` | `getSkipChecks()`
`long` | `getUpdateId()` This is incremented every time the info is updated.
`abstract void` | `loadFromStream(java.io.InputStream in)`
`protected void` | `onDataUpdated()` Increments the update ID.
`abstract void` | `writeToStream(java.io.OutputStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### _CommentaryRequestInfoCapsule

    public _CommentaryRequestInfoCapsule()

Method Detail

### getBuffer

    public abstract byte[] getBuffer()

### getUpdateId

    public final long getUpdateId()

  This is incremented every time the info is updated.

  Returns:
    the current update id.

### onDataUpdated

    protected void onDataUpdated()

  Increments the update ID.

### loadFromStream

    public abstract void loadFromStream(java.io.InputStream in)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeToStream

    public abstract void writeToStream(java.io.OutputStream out)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### getName

    public abstract java.lang.String getName()

  Returns:
    one of the event names in the commentary INI file

### getInput1

    public abstract double getInput1()

  Returns:
    first value to pass in (if any)

### getInput2

    public abstract double getInput2()

  Returns:
    second value to pass in (if any)

### getInput3

    public abstract double getInput3()

  Returns:
    third value to pass in (if any)

### getSkipChecks

    public abstract boolean getSkipChecks()

  Returns:
    ignores commentary detail and random probability of event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD